﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace XamDemoCalcs
{
    class MyLogic : vmBase
    {
        public ObservableCollection<Item> Items { get; private set; }

        public MyLogic()
        {
            Items = new ObservableCollection<Item>();
        }

        public void GenCalcs()
        {
            if (Items == null)
                Items = new ObservableCollection<Item>();
            for (int x = 1; x <= 5; x++)
                Items.Add(NewItem(x.ToString(), "Calculation " + x, 2));
            OnPropertyChanged("Items");
        }

        private static Item NewItem(string shortName, string name, int level)
        {
            Item i = new Item { ShortName = shortName, Name = name, Min = 0, Prob = 0, Max = 0, Mean = 0 };
            if (level == 0)
                return i;
            for (int x = 1; x <= 3; x++)
                i.Calcs.Add(NewItem(shortName + "." + x, name + "." + x, level - 1));
            return i;
        }
    }
}
